package cn.freemud.demo.manager.store;

import cn.freemud.demo.entities.bo.goods.DeliveryConfigBO;
import cn.freemud.demo.entities.bo.store.GetStoreBO;
import cn.freemud.demo.entities.bo.store.GetStoreInfoBO;
import cn.freemud.demo.entities.bo.store.StoreInfoBO;

import java.util.List;

public interface StoreService {

    List<String> getOrgIds(GetStoreBO getStoreBO);

    StoreInfoBO getStoreInfo(GetStoreInfoBO getStoreInfo);

    DeliveryConfigBO findDeliveryConfigByPartnerIdAndStoreId(String partnerId, String storeId);

}
